View Issue Details

IDProjectCategoryView StatusLast Update
0007480Kali Linux[All Projects] General Bugpublic2022-02-12 23:11
Reporterkaoscoach Assigned Tore4son  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionreopened 
Product Version2021.3 
Target VersionFixed in Version2022.1 
Summary0007480: Bluetooth module does not load or work with latest kalipi-kernel on RPi4
DescriptionThe kernel packages dated after 5.4.83-20210516 do not load the bluetooth module on boot, output from 'lsmod|grep bluetooth' is empty. Manually loading hci_uart, 'sudo modprobe hci_uart' works in that it loads the hciuart and bluetooth modules. However starting hciuart service still errors, bluetooth service is able to start though. Unfortunately this still leaves system unable to pair any bluetooth devices. 'bluetoothctl devices' shows 'No default controller available'.

I thought the kali-2021.4 image would solve this issue but it exists there as well.
Steps To ReproduceUpgrade kalipi-bootloader, kalipi-kernel, kalipi-kernel-headers, kalipi-re4son-firmware to version past 5.4.83-20210516

Additional InformationIn the meantime to keep my RPi4 'working' I have apt-mark hold the following packages
kalipi-bootloader
kalipi-kernel
kalipi-kernel-headers
kalipi-re4son-firmware

Output from dpkg --list on working system,
hi kalipi-bootloader 5.4.83-20210516 arm64 Kali-Pi bootloader
hi kalipi-kernel 5.4.83-20210516 arm64 Kali-Pi linux kernel
hi kalipi-kernel-headers 5.4.83-20210516 arm64 Header files for the Kali-Pi Linux kernel
hi kalipi-re4son-firmware 5.4.83-20210516 arm64 Additional Kali-Pi Pi firmware

I am not technical enough to resolve this but will run any commands and upload output as requested to solve this issue.

Activities

steev

2021-12-10 18:45

manager   ~0015499

Hm, let me look. We added back some dtbo files to the kernel that we had removed, but that shouldn't have affected the bluetooth functionality, but you're right, I can reproduce it here. I didn't re-check things after we added the dtbos back, but this was definitely working previously.

kaoscoach

2021-12-10 18:58

reporter   ~0015500

I went down a rabbit hole a week ago trying to solve it and came across this, https://github.com/Re4son/kalipi-firmware/releases/tag/20211127kali but I am not sure how that repo and kali itself are connected? I am not a programmer or kernel expert so I am not sure. But i thought the BCM43436 might have had something to do with Bluetooth? At least the date this was added seemed to be about the time Bluetooth on my RPi4 broke? But as I have said many times, I'm not sure.

steev

2021-12-10 18:59

manager   ~0015501

No, that's the wireless firmware for the wireless device on the rpi zero 2 w. The bluetooth firmware comes from the bluez-firmware package.

kaoscoach

2022-02-10 16:24

reporter   ~0015708

Curious as to whether or not this is going to get resolved or should I just assume Kali and Bluetooth are a no go going forward?

steev

2022-02-10 17:40

manager   ~0015709

The fix is to

sudo sed -I 's/ttyAMA0/serial0/g' /boot/cmdline.txt

echo 'dtparam=krnbt=on' | sudo tee -a /boot/config.txt

then reboot

The other option would be to downgrade the boot loader package (kalipi-bootloader) to an older version and then apt-mark hold that version so it doesn't upgrade. They changed the serial device on us in it.

It will be in the next release which should be out soon. This fell through the cracks as I was on vacation when the bug report came in.

kaoscoach

2022-02-10 18:56

reporter   ~0015710

I tried your fix and then tried upgrading kalipi-kernel from 5.4.83-20210516 to the (latest) 5.4.83-20211204 but it errors. Let me know if I you want me to post the output from the sudo apt get upgrade kalipi-kernel. It is quite long.

Seems like I need to keep my apt-mark in place for kalipi-bootloader, kalipi-kernel, kalipi-kernel-headers and kalipi-re4son-firmware

steev

2022-02-10 18:58

manager   ~0015711

Please do show the errors, I have not run into any - which fix did you try exactly? You should either do the sed and tee, OR downgrade boot loader, not both.

kaoscoach

2022-02-10 19:16

reporter   ~0015712

Here is exactly what I did,
sudo sed -I 's/ttyAMA0/serial0/g' /boot/cmdline.txt
echo 'dtparam=krnbt=on' | sudo tee -a /boot/config.txt

then rebooted.

After reboot, I did
kali@pi-kali:~$ sudo apt install kalipi-kernel
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages will be upgraded:
  kalipi-kernel
1 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Need to get 0 B/126 MB of archives.
After this operation, 322 kB of additional disk space will be used.
(Reading database ... 361345 files and directories currently installed.)
Preparing to unpack .../kalipi-kernel_5.4.83-20211204_arm64.deb ...
Leaving 'diversion of /boot/kernel.img to /usr/share/rpikernelhack/kernel.img by rpikernelhack'
Leaving 'diversion of /boot/kernel7.img to /usr/share/rpikernelhack/kernel7.img by rpikernelhack'
Leaving 'diversion of /boot/kernel7l.img to /usr/share/rpikernelhack/kernel7l.img by rpikernelhack'
Leaving 'diversion of /boot/kernel8-alt.img to /usr/share/rpikernelhack/kernel8-alt.img by rpikernelhack'
Leaving 'diversion of /boot/kernel8l-alt.img to /usr/share/rpikernelhack/kernel8l-alt.img by rpikernelhack'
Leaving 'diversion of /boot/bcm2708-rpi-b-plus.dtb to /usr/share/rpikernelhack/bcm2708-rpi-b-plus.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2708-rpi-b-rev1.dtb to /usr/share/rpikernelhack/bcm2708-rpi-b-rev1.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2708-rpi-b.dtb to /usr/share/rpikernelhack/bcm2708-rpi-b.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2708-rpi-cm.dtb to /usr/share/rpikernelhack/bcm2708-rpi-cm.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2708-rpi-zero-w.dtb to /usr/share/rpikernelhack/bcm2708-rpi-zero-w.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2708-rpi-zero.dtb to /usr/share/rpikernelhack/bcm2708-rpi-zero.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2709-rpi-2-b.dtb to /usr/share/rpikernelhack/bcm2709-rpi-2-b.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2710-rpi-2-b.dtb to /usr/share/rpikernelhack/bcm2710-rpi-2-b.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2710-rpi-3-b-plus.dtb to /usr/share/rpikernelhack/bcm2710-rpi-3-b-plus.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2710-rpi-3-b.dtb to /usr/share/rpikernelhack/bcm2710-rpi-3-b.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2710-rpi-cm3.dtb to /usr/share/rpikernelhack/bcm2710-rpi-cm3.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2710-rpi-zero-2-w.dtb to /usr/share/rpikernelhack/bcm2710-rpi-zero-2-w.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2710-rpi-zero-2.dtb to /usr/share/rpikernelhack/bcm2710-rpi-zero-2.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2711-rpi-4-b.dtb to /usr/share/rpikernelhack/bcm2711-rpi-4-b.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2711-rpi-400.dtb to /usr/share/rpikernelhack/bcm2711-rpi-400.dtb by rpikernelhack'
Leaving 'diversion of /boot/bcm2711-rpi-cm4.dtb to /usr/share/rpikernelhack/bcm2711-rpi-cm4.dtb by rpikernelhack'
Leaving 'diversion of /boot/COPYING.linux to /usr/share/rpikernelhack/COPYING.linux by rpikernelhack'
Leaving 'diversion of /boot/overlays/35-hat.dtbo to /usr/share/rpikernelhack/overlays/35-hat.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/4dpi-32.dtbo to /usr/share/rpikernelhack/overlays/4dpi-32.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/README to /usr/share/rpikernelhack/overlays/README by rpikernelhack'
Leaving 'diversion of /boot/overlays/act-led.dtbo to /usr/share/rpikernelhack/overlays/act-led.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/adafruit18.dtbo to /usr/share/rpikernelhack/overlays/adafruit18.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/adau1977-adc.dtbo to /usr/share/rpikernelhack/overlays/adau1977-adc.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/adau7002-simple.dtbo to /usr/share/rpikernelhack/overlays/adau7002-simple.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ads1015.dtbo to /usr/share/rpikernelhack/overlays/ads1015.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ads1115.dtbo to /usr/share/rpikernelhack/overlays/ads1115.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ads7846.dtbo to /usr/share/rpikernelhack/overlays/ads7846.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/adv7282m.dtbo to /usr/share/rpikernelhack/overlays/adv7282m.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/adv728x-m.dtbo to /usr/share/rpikernelhack/overlays/adv728x-m.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/akkordion-iqdacplus.dtbo to /usr/share/rpikernelhack/overlays/akkordion-iqdacplus.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/allo-boss-dac-pcm512x-audio.dtbo to /usr/share/rpikernelhack/overlays/allo-boss-dac-pcm512x-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/allo-boss2-dac-audio.dtbo to /usr/share/rpikernelhack/overlays/allo-boss2-dac-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/allo-digione.dtbo to /usr/share/rpikernelhack/overlays/allo-digione.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/allo-katana-dac-audio.dtbo to /usr/share/rpikernelhack/overlays/allo-katana-dac-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/allo-piano-dac-pcm512x-audio.dtbo to /usr/share/rpikernelhack/overlays/allo-piano-dac-pcm512x-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/allo-piano-dac-plus-pcm512x-audio.dtbo to /usr/share/rpikernelhack/overlays/allo-piano-dac-plus-pcm512x-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/anyspi.dtbo to /usr/share/rpikernelhack/overlays/anyspi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/apds9960.dtbo to /usr/share/rpikernelhack/overlays/apds9960.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/applepi-dac.dtbo to /usr/share/rpikernelhack/overlays/applepi-dac.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/at86rf233.dtbo to /usr/share/rpikernelhack/overlays/at86rf233.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/audioinjector-addons.dtbo to /usr/share/rpikernelhack/overlays/audioinjector-addons.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/audioinjector-isolated-soundcard.dtbo to /usr/share/rpikernelhack/overlays/audioinjector-isolated-soundcard.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/audioinjector-ultra.dtbo to /usr/share/rpikernelhack/overlays/audioinjector-ultra.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/audioinjector-wm8731-audio.dtbo to /usr/share/rpikernelhack/overlays/audioinjector-wm8731-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/audiosense-pi.dtbo to /usr/share/rpikernelhack/overlays/audiosense-pi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/audremap.dtbo to /usr/share/rpikernelhack/overlays/audremap.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/balena-fin.dtbo to /usr/share/rpikernelhack/overlays/balena-fin.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/cma.dtbo to /usr/share/rpikernelhack/overlays/cma.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/dht11.dtbo to /usr/share/rpikernelhack/overlays/dht11.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/dionaudio-loco-v2.dtbo to /usr/share/rpikernelhack/overlays/dionaudio-loco-v2.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/dionaudio-loco.dtbo to /usr/share/rpikernelhack/overlays/dionaudio-loco.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/disable-bt.dtbo to /usr/share/rpikernelhack/overlays/disable-bt.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/disable-wifi.dtbo to /usr/share/rpikernelhack/overlays/disable-wifi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/dpi18.dtbo to /usr/share/rpikernelhack/overlays/dpi18.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/dpi24.dtbo to /usr/share/rpikernelhack/overlays/dpi24.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/draws.dtbo to /usr/share/rpikernelhack/overlays/draws.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/dwc-otg.dtbo to /usr/share/rpikernelhack/overlays/dwc-otg.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/elecfreaks22-overlay.dtb to /usr/share/rpikernelhack/overlays/elecfreaks22-overlay.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/elecfreaks22.dtbo to /usr/share/rpikernelhack/overlays/elecfreaks22.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/enc28j60-spi2.dtbo to /usr/share/rpikernelhack/overlays/enc28j60-spi2.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/enc28j60.dtbo to /usr/share/rpikernelhack/overlays/enc28j60.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/exc3000.dtbo to /usr/share/rpikernelhack/overlays/exc3000.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/fe-pi-audio.dtbo to /usr/share/rpikernelhack/overlays/fe-pi-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/fsm-demo.dtbo to /usr/share/rpikernelhack/overlays/fsm-demo.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ghost-amp.dtbo to /usr/share/rpikernelhack/overlays/ghost-amp.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/goodix.dtbo to /usr/share/rpikernelhack/overlays/goodix.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/googlevoicehat-soundcard.dtbo to /usr/share/rpikernelhack/overlays/googlevoicehat-soundcard.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/gpio-fan.dtbo to /usr/share/rpikernelhack/overlays/gpio-fan.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/gpio-ir-tx.dtbo to /usr/share/rpikernelhack/overlays/gpio-ir-tx.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/gpio-key.dtbo to /usr/share/rpikernelhack/overlays/gpio-key.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/gpio-no-bank0-irq.dtbo to /usr/share/rpikernelhack/overlays/gpio-no-bank0-irq.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/gpio-no-irq.dtbo to /usr/share/rpikernelhack/overlays/gpio-no-irq.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/gpio-shutdown.dtbo to /usr/share/rpikernelhack/overlays/gpio-shutdown.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hd44780-lcd.dtbo to /usr/share/rpikernelhack/overlays/hd44780-lcd.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-amp.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-amp.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-amp100.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-amp100.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-dac.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-dac.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-dacplus.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-dacplus.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-dacplusadc.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-dacplusadc.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-dacplusadcpro.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-dacplusadcpro.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-dacplusdsp.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-dacplusdsp.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-dacplushd.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-dacplushd.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-digi-pro.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-digi-pro.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hifiberry-digi.dtbo to /usr/share/rpikernelhack/overlays/hifiberry-digi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/highperi.dtbo to /usr/share/rpikernelhack/overlays/highperi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hy28a.dtbo to /usr/share/rpikernelhack/overlays/hy28a.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hy28b-2017.dtbo to /usr/share/rpikernelhack/overlays/hy28b-2017.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hy28b.dtbo to /usr/share/rpikernelhack/overlays/hy28b.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hyperpixel-gpio-backlight.dtbo to /usr/share/rpikernelhack/overlays/hyperpixel-gpio-backlight.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hyperpixel.dtbo to /usr/share/rpikernelhack/overlays/hyperpixel.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hyperpixel4-touch.dtbo to /usr/share/rpikernelhack/overlays/hyperpixel4-touch.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/hyperpixel4.dtbo to /usr/share/rpikernelhack/overlays/hyperpixel4.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i-sabre-q2m.dtbo to /usr/share/rpikernelhack/overlays/i-sabre-q2m.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-bcm2708.dtbo to /usr/share/rpikernelhack/overlays/i2c-bcm2708.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-gpio.dtbo to /usr/share/rpikernelhack/overlays/i2c-gpio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-mux.dtbo to /usr/share/rpikernelhack/overlays/i2c-mux.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-pwm-pca9685a.dtbo to /usr/share/rpikernelhack/overlays/i2c-pwm-pca9685a.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-rtc-gpio.dtbo to /usr/share/rpikernelhack/overlays/i2c-rtc-gpio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-rtc.dtbo to /usr/share/rpikernelhack/overlays/i2c-rtc.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c-sensor.dtbo to /usr/share/rpikernelhack/overlays/i2c-sensor.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c0.dtbo to /usr/share/rpikernelhack/overlays/i2c0.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c1.dtbo to /usr/share/rpikernelhack/overlays/i2c1.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c3.dtbo to /usr/share/rpikernelhack/overlays/i2c3.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c4.dtbo to /usr/share/rpikernelhack/overlays/i2c4.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c5.dtbo to /usr/share/rpikernelhack/overlays/i2c5.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2c6.dtbo to /usr/share/rpikernelhack/overlays/i2c6.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/i2s-gpio28-31.dtbo to /usr/share/rpikernelhack/overlays/i2s-gpio28-31.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ilitek251x.dtbo to /usr/share/rpikernelhack/overlays/ilitek251x.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/imx219.dtbo to /usr/share/rpikernelhack/overlays/imx219.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/imx290.dtbo to /usr/share/rpikernelhack/overlays/imx290.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/imx477.dtbo to /usr/share/rpikernelhack/overlays/imx477.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/iqaudio-codec.dtbo to /usr/share/rpikernelhack/overlays/iqaudio-codec.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/iqaudio-dac.dtbo to /usr/share/rpikernelhack/overlays/iqaudio-dac.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/iqaudio-dacplus.dtbo to /usr/share/rpikernelhack/overlays/iqaudio-dacplus.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/iqaudio-digi-wm8804-audio.dtbo to /usr/share/rpikernelhack/overlays/iqaudio-digi-wm8804-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/irs1125.dtbo to /usr/share/rpikernelhack/overlays/irs1125.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/jbtek-overlay.dtb to /usr/share/rpikernelhack/overlays/jbtek-overlay.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/jbtek.dtbo to /usr/share/rpikernelhack/overlays/jbtek.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/jedec-spi-nor.dtbo to /usr/share/rpikernelhack/overlays/jedec-spi-nor.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/justboom-both.dtbo to /usr/share/rpikernelhack/overlays/justboom-both.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/justboom-dac.dtbo to /usr/share/rpikernelhack/overlays/justboom-dac.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/justboom-digi.dtbo to /usr/share/rpikernelhack/overlays/justboom-digi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ltc294x.dtbo to /usr/share/rpikernelhack/overlays/ltc294x.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/max98357a.dtbo to /usr/share/rpikernelhack/overlays/max98357a.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/maxtherm.dtbo to /usr/share/rpikernelhack/overlays/maxtherm.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mbed-dac.dtbo to /usr/share/rpikernelhack/overlays/mbed-dac.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp23s17.dtbo to /usr/share/rpikernelhack/overlays/mcp23s17.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp2515-can0.dtbo to /usr/share/rpikernelhack/overlays/mcp2515-can0.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp2515-can1.dtbo to /usr/share/rpikernelhack/overlays/mcp2515-can1.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp251xfd.dtbo to /usr/share/rpikernelhack/overlays/mcp251xfd.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp3008.dtbo to /usr/share/rpikernelhack/overlays/mcp3008.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp3202.dtbo to /usr/share/rpikernelhack/overlays/mcp3202.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mcp342x.dtbo to /usr/share/rpikernelhack/overlays/mcp342x.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/media-center.dtbo to /usr/share/rpikernelhack/overlays/media-center.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/merus-amp.dtbo to /usr/share/rpikernelhack/overlays/merus-amp.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/midi-uart0.dtbo to /usr/share/rpikernelhack/overlays/midi-uart0.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/midi-uart1.dtbo to /usr/share/rpikernelhack/overlays/midi-uart1.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/miniuart-bt.dtbo to /usr/share/rpikernelhack/overlays/miniuart-bt.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mmc.dtbo to /usr/share/rpikernelhack/overlays/mmc.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mpu6050.dtbo to /usr/share/rpikernelhack/overlays/mpu6050.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/mz61581.dtbo to /usr/share/rpikernelhack/overlays/mz61581.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ov5647.dtbo to /usr/share/rpikernelhack/overlays/ov5647.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ov7251.dtbo to /usr/share/rpikernelhack/overlays/ov7251.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ov9281.dtbo to /usr/share/rpikernelhack/overlays/ov9281.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/overlay_map.dtb to /usr/share/rpikernelhack/overlays/overlay_map.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/papirus.dtbo to /usr/share/rpikernelhack/overlays/papirus.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pca953x.dtbo to /usr/share/rpikernelhack/overlays/pca953x.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pibell.dtbo to /usr/share/rpikernelhack/overlays/pibell.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pifacedigital.dtbo to /usr/share/rpikernelhack/overlays/pifacedigital.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pifi-40.dtbo to /usr/share/rpikernelhack/overlays/pifi-40.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/piglow.dtbo to /usr/share/rpikernelhack/overlays/piglow.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/piscreen.dtbo to /usr/share/rpikernelhack/overlays/piscreen.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/piscreen2r.dtbo to /usr/share/rpikernelhack/overlays/piscreen2r.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pisound.dtbo to /usr/share/rpikernelhack/overlays/pisound.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pitft22.dtbo to /usr/share/rpikernelhack/overlays/pitft22.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pitft28-capacitive.dtbo to /usr/share/rpikernelhack/overlays/pitft28-capacitive.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pitft28-resistive.dtbo to /usr/share/rpikernelhack/overlays/pitft28-resistive.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pitft35-resistive.dtbo to /usr/share/rpikernelhack/overlays/pitft35-resistive.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pps-gpio.dtbo to /usr/share/rpikernelhack/overlays/pps-gpio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pwm-2chan.dtbo to /usr/share/rpikernelhack/overlays/pwm-2chan.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pwm-ir-tx.dtbo to /usr/share/rpikernelhack/overlays/pwm-ir-tx.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/pwm.dtbo to /usr/share/rpikernelhack/overlays/pwm.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/qca7000.dtbo to /usr/share/rpikernelhack/overlays/qca7000.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rotary-encoder.dtbo to /usr/share/rpikernelhack/overlays/rotary-encoder.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-backlight.dtbo to /usr/share/rpikernelhack/overlays/rpi-backlight.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-cirrus-wm5102.dtbo to /usr/share/rpikernelhack/overlays/rpi-cirrus-wm5102.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-dac.dtbo to /usr/share/rpikernelhack/overlays/rpi-dac.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-display.dtbo to /usr/share/rpikernelhack/overlays/rpi-display.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-ft5406.dtbo to /usr/share/rpikernelhack/overlays/rpi-ft5406.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-poe.dtbo to /usr/share/rpikernelhack/overlays/rpi-poe.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-proto.dtbo to /usr/share/rpikernelhack/overlays/rpi-proto.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-sense.dtbo to /usr/share/rpikernelhack/overlays/rpi-sense.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpi-tv.dtbo to /usr/share/rpikernelhack/overlays/rpi-tv.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rpivid-v4l2.dtbo to /usr/share/rpikernelhack/overlays/rpivid-v4l2.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/rra-digidac1-wm8741-audio.dtbo to /usr/share/rpikernelhack/overlays/rra-digidac1-wm8741-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sainsmart18.dtbo to /usr/share/rpikernelhack/overlays/sainsmart18.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sainsmart32-overlay.dtb to /usr/share/rpikernelhack/overlays/sainsmart32-overlay.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/sainsmart32.dtbo to /usr/share/rpikernelhack/overlays/sainsmart32.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sc16is750-i2c.dtbo to /usr/share/rpikernelhack/overlays/sc16is750-i2c.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sc16is752-i2c.dtbo to /usr/share/rpikernelhack/overlays/sc16is752-i2c.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sc16is752-spi0.dtbo to /usr/share/rpikernelhack/overlays/sc16is752-spi0.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sc16is752-spi1.dtbo to /usr/share/rpikernelhack/overlays/sc16is752-spi1.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sdhost.dtbo to /usr/share/rpikernelhack/overlays/sdhost.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sdio.dtbo to /usr/share/rpikernelhack/overlays/sdio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/seeed-can-fd-hat-v1.dtbo to /usr/share/rpikernelhack/overlays/seeed-can-fd-hat-v1.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/seeed-can-fd-hat-v2.dtbo to /usr/share/rpikernelhack/overlays/seeed-can-fd-hat-v2.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sh1106-spi.dtbo to /usr/share/rpikernelhack/overlays/sh1106-spi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/smi-dev.dtbo to /usr/share/rpikernelhack/overlays/smi-dev.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/smi-nand.dtbo to /usr/share/rpikernelhack/overlays/smi-nand.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/smi.dtbo to /usr/share/rpikernelhack/overlays/smi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi-gpio35-39.dtbo to /usr/share/rpikernelhack/overlays/spi-gpio35-39.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi-gpio40-45.dtbo to /usr/share/rpikernelhack/overlays/spi-gpio40-45.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi-rtc.dtbo to /usr/share/rpikernelhack/overlays/spi-rtc.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi0-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi0-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi0-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi0-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi1-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi1-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi1-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi1-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi1-3cs.dtbo to /usr/share/rpikernelhack/overlays/spi1-3cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi2-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi2-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi2-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi2-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi2-3cs.dtbo to /usr/share/rpikernelhack/overlays/spi2-3cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi3-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi3-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi3-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi3-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi4-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi4-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi4-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi4-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi5-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi5-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi5-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi5-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi6-1cs.dtbo to /usr/share/rpikernelhack/overlays/spi6-1cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/spi6-2cs.dtbo to /usr/share/rpikernelhack/overlays/spi6-2cs.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ssd1306-spi.dtbo to /usr/share/rpikernelhack/overlays/ssd1306-spi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ssd1306.dtbo to /usr/share/rpikernelhack/overlays/ssd1306.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/ssd1351-spi.dtbo to /usr/share/rpikernelhack/overlays/ssd1351-spi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/superaudioboard.dtbo to /usr/share/rpikernelhack/overlays/superaudioboard.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/sx150x.dtbo to /usr/share/rpikernelhack/overlays/sx150x.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/tc358743-audio.dtbo to /usr/share/rpikernelhack/overlays/tc358743-audio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/tc358743.dtbo to /usr/share/rpikernelhack/overlays/tc358743.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/tinylcd35.dtbo to /usr/share/rpikernelhack/overlays/tinylcd35.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/tpm-slb9670.dtbo to /usr/share/rpikernelhack/overlays/tpm-slb9670.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/uart0.dtbo to /usr/share/rpikernelhack/overlays/uart0.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/uart1.dtbo to /usr/share/rpikernelhack/overlays/uart1.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/uart2.dtbo to /usr/share/rpikernelhack/overlays/uart2.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/uart3.dtbo to /usr/share/rpikernelhack/overlays/uart3.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/uart4.dtbo to /usr/share/rpikernelhack/overlays/uart4.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/uart5.dtbo to /usr/share/rpikernelhack/overlays/uart5.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/udrc.dtbo to /usr/share/rpikernelhack/overlays/udrc.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/upstream-pi4.dtbo to /usr/share/rpikernelhack/overlays/upstream-pi4.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/upstream.dtbo to /usr/share/rpikernelhack/overlays/upstream.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/vc4-fkms-v3d.dtbo to /usr/share/rpikernelhack/overlays/vc4-fkms-v3d.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/vc4-kms-kippah-7inch.dtbo to /usr/share/rpikernelhack/overlays/vc4-kms-kippah-7inch.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/vc4-kms-v3d-pi4.dtbo to /usr/share/rpikernelhack/overlays/vc4-kms-v3d-pi4.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/vc4-kms-v3d.dtbo to /usr/share/rpikernelhack/overlays/vc4-kms-v3d.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/vga666.dtbo to /usr/share/rpikernelhack/overlays/vga666.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/w1-gpio-pullup.dtbo to /usr/share/rpikernelhack/overlays/w1-gpio-pullup.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/w1-gpio.dtbo to /usr/share/rpikernelhack/overlays/w1-gpio.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/w5500.dtbo to /usr/share/rpikernelhack/overlays/w5500.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/waveshare32b-overlay.dtb to /usr/share/rpikernelhack/overlays/waveshare32b-overlay.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/waveshare32b.dtbo to /usr/share/rpikernelhack/overlays/waveshare32b.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/waveshare35a-overlay.dtb to /usr/share/rpikernelhack/overlays/waveshare35a-overlay.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/waveshare35a.dtbo to /usr/share/rpikernelhack/overlays/waveshare35a.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/waveshare35b-overlay.dtb to /usr/share/rpikernelhack/overlays/waveshare35b-overlay.dtb by rpikernelhack'
Leaving 'diversion of /boot/overlays/waveshare35b.dtbo to /usr/share/rpikernelhack/overlays/waveshare35b.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/wittypi.dtbo to /usr/share/rpikernelhack/overlays/wittypi.dtbo by rpikernelhack'
Leaving 'diversion of /boot/overlays/wm8960-soundcard.dtbo to /usr/share/rpikernelhack/overlays/wm8960-soundcard.dtbo by rpikernelhack'
Unpacking kalipi-kernel (5.4.83-20211204) over (5.4.83-20210516) ...
dpkg: error processing archive /var/cache/apt/archives/kalipi-kernel_5.4.83-20211204_arm64.deb (--unpack):
 unable to make backup link of './boot/overlays/dwc2.dtbo' before installing new version: Operation not permitted
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 5.4.83-Re4son+ /boot/kernel.img
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 5.4.83-Re4son-v7+ /boot/kernel7.img
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 5.4.83-Re4son-v7l+ /boot/kernel7l.img
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 5.4.83-Re4son-v8+ /boot/kernel8-alt.img
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 5.4.83-Re4son-v8l+ /boot/kernel8l-alt.img
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 5.4.83-Re4son+ /boot/kernel.img
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 5.4.83-Re4son+ /boot/kernel.img
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 5.4.83-Re4son-v7+ /boot/kernel7.img
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 5.4.83-Re4son-v7+ /boot/kernel7.img
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 5.4.83-Re4son-v7l+ /boot/kernel7l.img
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 5.4.83-Re4son-v7l+ /boot/kernel7l.img
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 5.4.83-Re4son-v8+ /boot/kernel8-alt.img
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 5.4.83-Re4son-v8+ /boot/kernel8-alt.img
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 5.4.83-Re4son-v8l+ /boot/kernel8l-alt.img
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 5.4.83-Re4son-v8l+ /boot/kernel8l-alt.img
Errors were encountered while processing:
 /var/cache/apt/archives/kalipi-kernel_5.4.83-20211204_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Afterwards it looks like the kernel does not update.
kali@pi-kali:~$ dpkg --list|grep kalipi
hi kalipi-bootloader 5.4.83-20210516 arm64 Kali-Pi bootloader
ii kalipi-config 1.2 arm64 KaliPi-Config Package
ii kalipi-kernel 5.4.83-20210516 arm64 Kali-Pi linux kernel
hi kalipi-kernel-headers 5.4.83-20210516 arm64 Header files for the Kali-Pi Linux kernel
hi kalipi-re4son-firmware 5.4.83-20210516 arm64 Additional Kali-Pi Pi firmware
ii kalipi-tft-config 1.1 arm64 KaliPi-TFT-Config Package

I am going to keep my apt-mark hold for now
kali@pi-kali:~$ sudo apt-mark showhold
kalipi-bootloader
kalipi-kernel
kalipi-kernel-headers
kalipi-re4son-firmware

steev

2022-02-10 19:18

manager   ~0015713

As a quick workaround, try rm-ing that file - /boot/overlays/dwc2.dtbo - I'll have to get with re4son to figure out why that diversion isn't in place to cause the error.

kaoscoach

2022-02-10 19:20

reporter   ~0015714

Ok, I rm'ed that file and get an error on another one.

./boot/overlays/gpio-ir.dtbo

Should I just keep rm'ing them until it works?

steev

2022-02-10 19:22

manager   ~0015715

Yes, unfortunately. Is this a 2021.4 install that you are upgrading? I didn't think there was an upgrade *after* 2021.4, so is it a 2021.3 image that you started from so I can reproduce the issue here? (also please note down all of the dtbos that you need to remove)

kaoscoach

2022-02-10 19:24

reporter   ~0015716

Yes. I believe it was a 2021.3 image that I started from. Would this work if I started from a 2021.4 image? I think I can try that. Just want to keep all my settings if you know what I mean.

steev

2022-02-10 19:25

manager   ~0015717

The bluetooth will still need the two commands above, it's fine to keep just rm-ing the files (alternatively, if you don't care enough... just rm -rf /boot/overlays)

kaoscoach

2022-02-10 19:56

reporter   ~0015718

Thanks for all your help. I went with the nuclear option of 'rm -rf /boot/overlays' and it worked. You can re-close this ticket.

I'll try switching to a 2021.4 base image. Any idea when to expect the 2022.1 image?

Issue History

Date Modified Username Field Change
2021-12-10 16:37 kaoscoach New Issue
2021-12-10 18:45 steev Note Added: 0015499
2021-12-10 18:58 kaoscoach Note Added: 0015500
2021-12-10 18:59 steev Note Added: 0015501
2021-12-15 21:24 re4son Assigned To => re4son
2021-12-15 21:24 re4son Status new => assigned
2022-02-10 16:24 kaoscoach Note Added: 0015708
2022-02-10 17:40 steev Status assigned => resolved
2022-02-10 17:40 steev Resolution open => fixed
2022-02-10 17:40 steev Fixed in Version => 2022.1
2022-02-10 17:40 steev Note Added: 0015709
2022-02-10 18:56 kaoscoach Status resolved => feedback
2022-02-10 18:56 kaoscoach Resolution fixed => reopened
2022-02-10 18:56 kaoscoach Note Added: 0015710
2022-02-10 18:58 steev Note Added: 0015711
2022-02-10 19:16 kaoscoach Note Added: 0015712
2022-02-10 19:16 kaoscoach Status feedback => assigned
2022-02-10 19:18 steev Note Added: 0015713
2022-02-10 19:20 kaoscoach Note Added: 0015714
2022-02-10 19:22 steev Note Added: 0015715
2022-02-10 19:24 kaoscoach Note Added: 0015716
2022-02-10 19:25 steev Note Added: 0015717
2022-02-10 19:56 kaoscoach Note Added: 0015718
2022-02-13 02:42 anibal Issue cloned: 0007577